<?
if(isset($_GET['mywork']) && isset($_GET['cultivator']) && intval($_GET['cultivator'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_mest` WHERE `id` = '".intval($_GET['cultivator'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0)!=0)
{
$ground=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_mest` WHERE `id` = '".intval($_GET['cultivator'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"));
$rat=1;
$rat_drakon_act=0;
$rat_sc_act=0;
$rat_school_act=0;
$rat_lib_act=0;
$rat_cultivator_act=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
mysql_query("UPDATE `kolhoz_mest` SET `cultivator` = '1' WHERE `id` = '".intval($_GET['cultivator'])."' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
header("Location:?mywork&".passgen());
exit;
}
?>